import { request } from '/@/utils/service';


const apiPrefix = '/api/cms/sku_brand/';

export function getTableData(query: any) {
  return request({
    url: apiPrefix,
    method: 'GET',
    params: query
  });
}

export function deleteRow(query: any) {
  return request({
    url: apiPrefix + query.id + '/',
    method: 'DELETE',
  });
}

export function updateRow(query: any) {
  return request({
    url: apiPrefix + query.id + '/',
    method: 'PUT',
    data: query
  });
}

export function createBrand(data:any) {
  return request({
    url: apiPrefix,
    method: 'post',
    data: data
  })
}
